Scriptname VampireLordTransformAdditions extends activemagiceffect

PlayerVampireQuestScript Property PlayerVampireQuest  Auto 

GlobalVariable Property VampireFeedReady  Auto 
GlobalVariable Property VampireStageGlobal Auto


;==============================================================================================

EVENT OnEffectStart(Actor akTarget, Actor akCaster)

	Utility.Wait(12.0)
	
	;Debug.Notification("Regular Vampire Abilities now applied.")	
	
	If VampireStageGlobal.GetValue() == 4
		PlayerVampireQuest.VampireStatus = 4
		VampireFeedReady.SetValue(3)			
	ElseIf VampireStageGlobal.GetValue() == 3
		PlayerVampireQuest.VampireStatus = 3
		VampireFeedReady.SetValue(2)
	ElseIf VampireStageGlobal.GetValue() == 2
		PlayerVampireQuest.VampireStatus = 2
		VampireFeedReady.SetValue(1)
	ElseIf VampireStageGlobal.GetValue() == 1
		PlayerVampireQuest.VampireStatus = 1
		VampireFeedReady.SetValue(0)
	EndIf	
			
	PlayerVampireQuest.VampireProgression(Game.GetPlayer() as Actor, VampireStageGlobal.GetValue() as Int)			
	
EndEvent

;==============================================================================================

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	
			
EndEvent
